## GdaProvider GdaProvider |

## Functions

gboolean | gda_provider_add_savepoint ()
gboolean | gda_provider_begin_transaction ()
gboolean | gda_provider_close_connection ()
gboolean | gda_provider_commit_transaction ()
GdaConnection * | gda_provider_create_connection ()
GdaServerOperation * | gda_provider_create_operation ()
GdaSqlParser * | gda_provider_create_parser ()
gboolean | gda_provider_delete_savepoint ()
gchar * | gda_provider_escape_string ()
GdaDataHandler * | gda_provider_get_data_handler ()
const gchar * | gda_provider_get_def_dbms_type ()
const gchar * | gda_provider_get_name ()
const gchar * | gda_provider_get_server_version ()
const gchar * | gda_provider_get_version ()
gchar * | gda_provider_identifier_quote ()
GdaDataModel * | gda_provider_meta_btypes ()
GdaRow * | gda_provider_meta_character_set ()
GdaDataModel * | gda_provider_meta_character_sets ()
GdaRow * | gda_provider_meta_check_column ()
GdaDataModel * | gda_provider_meta_check_columns ()
GdaRow * | gda_provider_meta_collation ()
GdaDataModel * | gda_provider_meta_collations ()
GdaDataModel * | gda_provider_meta_columns ()
GdaRow * | gda_provider_meta_constraint_ref ()
GdaRow * | gda_provider_meta_constraint_table ()
GdaDataModel * | gda_provider_meta_constraints_ref ()
GdaDataModel * | gda_provider_meta_constraints_ref_table ()
GdaDataModel * | gda_provider_meta_constraints_table ()
GdaDataModel * | gda_provider_meta_constraints_tables ()
GdaRow * | gda_provider_meta_domain ()
GdaRow * | gda_provider_meta_domain_constraint ()
GdaDataModel * | gda_provider_meta_domain_constraints ()
GdaDataModel * | gda_provider_meta_domains ()
GdaDataModel * | gda_provider_meta_domains_constraints ()
GdaRow * | gda_provider_meta_element_type ()
GdaDataModel * | gda_provider_meta_element_types ()
GdaRow * | gda_provider_meta_enum_type ()
GdaDataModel * | gda_provider_meta_enums_type ()
GQuark | gda_provider_meta_error_quark ()
GdaDataModel * | gda_provider_meta_execute_query ()
GdaRow * | gda_provider_meta_execute_query_row ()
GdaConnection * | gda_provider_meta_get_connection ()
GdaRow * | gda_provider_meta_index_col ()
GdaDataModel * | gda_provider_meta_index_cols ()
GdaRow * | gda_provider_meta_index_table ()
GdaDataModel * | gda_provider_meta_indexes_table ()
GdaDataModel * | gda_provider_meta_indexes_tables ()
GdaRow * | gda_provider_meta_key_column ()
GdaDataModel * | gda_provider_meta_key_columns ()
GdaRow * | gda_provider_meta_routine ()
GdaRow * | gda_provider_meta_routine_col ()
GdaRow * | gda_provider_meta_routine_pars ()
GdaDataModel * | gda_provider_meta_routines ()
GdaDataModel * | gda_provider_meta_routines_col ()
GdaDataModel * | gda_provider_meta_routines_pars ()
GdaRow * | gda_provider_meta_schemata ()
GdaDataModel * | gda_provider_meta_schematas ()
GdaRow * | gda_provider_meta_table_column ()
GdaDataModel * | gda_provider_meta_table_columns ()
GdaRow * | gda_provider_meta_trigger ()
GdaDataModel * | gda_provider_meta_triggers ()
GdaRow * | gda_provider_meta_udt ()
GdaRow * | gda_provider_meta_udt_col ()
GdaDataModel * | gda_provider_meta_udt_cols ()
GdaDataModel * | gda_provider_meta_udts ()
gboolean | gda_provider_open_connection ()
gboolean | gda_provider_perform_operation ()
gboolean | gda_provider_prepare_connection ()
gchar * | gda_provider_render_operation ()
gboolean | gda_provider_rollback_savepoint ()
gboolean | gda_provider_rollback_transaction ()
GObject * | gda_provider_statement_execute ()
gboolean | gda_provider_statement_prepare ()
GdaSqlStatement * | gda_provider_statement_rewrite ()
gchar * | gda_provider_statement_to_sql ()
gboolean | gda_provider_supports_feature ()
gboolean | gda_provider_supports_operation ()
gchar * | gda_provider_unescape_string ()

## Includes

    #include <libgda/gda-statement-extra.h>

## Description

## Functions

### gda_provider_add_savepoint ()

    gboolean
    gda_provider_add_savepoint (GdaProvider *provider,
                                GdaConnection *cnc,
                                const gchar *name,
                                GError **error);

Since: 6.0

Stability Level: Unstable

### gda_provider_begin_transaction ()

    gboolean
    gda_provider_begin_transaction (GdaProvider *provider,
                                    GdaConnection *cnc,
                                    const gchar *name,
                                    GdaTransactionIsolation level,
                                    GError **error);

Since: 6.0

Stability Level: Unstable

### gda_provider_close_connection ()

    gboolean
    gda_provider_close_connection (GdaProvider *provider,
                                   GdaConnection *cnc);

Since: 6.0

Stability Level: Unstable

### gda_provider_commit_transaction ()

    gboolean
    gda_provider_commit_transaction (GdaProvider *provider,
                                     GdaConnection *cnc,
                                     const gchar *name,
                                     GError **error);

Since: 6.0

Stability Level: Unstable

### gda_provider_create_connection ()

    GdaConnection *
    gda_provider_create_connection (GdaProvider *provider);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_create_operation ()

    GdaServerOperation *
    gda_provider_create_operation (GdaProvider *provider,
                                   GdaConnection *cnc,
                                   GdaServerOperationType type,
                                   GdaSet *options,
                                   GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_create_parser ()

    GdaSqlParser *
    gda_provider_create_parser (GdaProvider *provider,
                                GdaConnection *cnc);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_delete_savepoint ()

    gboolean
    gda_provider_delete_savepoint (GdaProvider *provider,
                                   GdaConnection *cnc,
                                   const gchar *name,
                                   GError **error);

Since: 6.0

Stability Level: Unstable

### gda_provider_escape_string ()

    gchar *
    gda_provider_escape_string (GdaProvider *provider,
                                GdaConnection *cnc,
                                const gchar *str);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_get_data_handler ()

    GdaDataHandler *
    gda_provider_get_data_handler (GdaProvider *provider,
                                   GdaConnection *cnc,
                                   GType g_type,
                                   const gchar *dbms_type);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_get_def_dbms_type ()

    const gchar *
    gda_provider_get_def_dbms_type (GdaProvider *provider,
                                    GdaConnection *cnc,
                                    GType g_type);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_get_name ()

    const gchar *
    gda_provider_get_name (GdaProvider *provider);

#### Returns

.

[transfer none]

Since: 6.0

Stability Level: Unstable

### gda_provider_get_server_version ()

    const gchar *
    gda_provider_get_server_version (GdaProvider *provider,
                                     GdaConnection *cnc);

#### Returns

.

[transfer none]

Since: 6.0

Stability Level: Unstable

### gda_provider_get_version ()

    const gchar *
    gda_provider_get_version (GdaProvider *provider);

#### Returns

.

[transfer none]

Since: 6.0

Stability Level: Unstable

### gda_provider_identifier_quote ()

    gchar *
    gda_provider_identifier_quote (GdaProvider *provider,
                                   GdaConnection *cnc,
                                   const gchar *id,
                                   gboolean for_meta_store,
                                   gboolean force_quotes);

#### Parameters

cnc | . | [nullable]

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_btypes ()

    GdaDataModel *
    gda_provider_meta_btypes (GdaProviderMeta *prov,
                              GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_character_set ()

    GdaRow *
    gda_provider_meta_character_set (GdaProviderMeta *prov,
                                     const gchar *chset_catalog,
                                     const gchar *chset_schema,
                                     const gchar *chset_name_n,
                                     GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_character_sets ()

    GdaDataModel *
    gda_provider_meta_character_sets (GdaProviderMeta *prov,
                                      GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_check_column ()

    GdaRow *
    gda_provider_meta_check_column (GdaProviderMeta *prov,
                                    const gchar *table_catalog,
                                    const gchar *table_schema,
                                    const gchar *table_name,
                                    const gchar *constraint_name,
                                    GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_check_columns ()

    GdaDataModel *
    gda_provider_meta_check_columns (GdaProviderMeta *prov,
                                     GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_collation ()

    GdaRow *
    gda_provider_meta_collation (GdaProviderMeta *prov,
                                 const gchar *collation_catalog,
                                 const gchar *collation_schema,
                                 const gchar *collation_name_n,
                                 GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_collations ()

    GdaDataModel *
    gda_provider_meta_collations (GdaProviderMeta *prov,
                                  GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_columns ()

    GdaDataModel *
    gda_provider_meta_columns (GdaProviderMeta *prov,
                               GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_constraint_ref ()

    GdaRow *
    gda_provider_meta_constraint_ref (GdaProviderMeta *prov,
                                      const gchar *table_catalog,
                                      const gchar *table_schema,
                                      const gchar *table_name,
                                      const gchar *constraint_name,
                                      GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_constraint_table ()

    GdaRow *
    gda_provider_meta_constraint_table (GdaProviderMeta *prov,
                                        const gchar *table_catalog,
                                        const gchar *table_schema,
                                        const gchar *table_name,
                                        const gchar *constraint_name_n,
                                        GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_constraints_ref ()

    GdaDataModel *
    gda_provider_meta_constraints_ref (GdaProviderMeta *prov,
                                       GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_constraints_ref_table ()

    GdaDataModel *
    gda_provider_meta_constraints_ref_table
                                   (GdaProviderMeta *prov,
                                    const gchar *table_catalog,
                                    const gchar *table_schema,
                                    const gchar *table_name,
                                    GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_constraints_table ()

    GdaDataModel *
    gda_provider_meta_constraints_table (GdaProviderMeta *prov,
                                         const gchar *table_catalog,
                                         const gchar *table_schema,
                                         const gchar *table_name,
                                         GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_constraints_tables ()

    GdaDataModel *
    gda_provider_meta_constraints_tables (GdaProviderMeta *prov,
                                          GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_domain ()

    GdaRow *
    gda_provider_meta_domain (GdaProviderMeta *prov,
                              const gchar *domain_catalog,
                              const gchar *domain_schema,
                              GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_domain_constraint ()

    GdaRow *
    gda_provider_meta_domain_constraint (GdaProviderMeta *prov,
                                         const gchar *domain_catalog,
                                         const gchar *domain_schema,
                                         const gchar *domain_name,
                                         const gchar *contraint_name,
                                         GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_domain_constraints ()

    GdaDataModel *
    gda_provider_meta_domain_constraints (GdaProviderMeta *prov,
                                          const gchar *domain_catalog,
                                          const gchar *domain_schema,
                                          const gchar *domain_name,
                                          GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_domains ()

    GdaDataModel *
    gda_provider_meta_domains (GdaProviderMeta *prov,
                               GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_domains_constraints ()

    GdaDataModel *
    gda_provider_meta_domains_constraints (GdaProviderMeta *prov,
                                           GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_element_type ()

    GdaRow *
    gda_provider_meta_element_type (GdaProviderMeta *prov,
                                    const gchar *specific_name,
                                    GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_element_types ()

    GdaDataModel *
    gda_provider_meta_element_types (GdaProviderMeta *prov,
                                     GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_enum_type ()

    GdaRow *
    gda_provider_meta_enum_type (GdaProviderMeta *prov,
                                 const gchar *udt_catalog,
                                 const gchar *udt_schema,
                                 const gchar *udt_name,
                                 GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_enums_type ()

    GdaDataModel *
    gda_provider_meta_enums_type (GdaProviderMeta *prov,
                                  GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_error_quark ()

    GQuark
    gda_provider_meta_error_quark (void);

### gda_provider_meta_execute_query ()

    GdaDataModel *
    gda_provider_meta_execute_query (GdaProviderMeta *prov,
                                     const gchar *sql,
                                     GdaSet *params,
                                     GError **error);

SQL is specific for current provider.

#### Parameters

prov | a GdaProviderMeta |
sql | a string with the SQL to execute on provider |
params | a GdaSet with all paramaters to use in query. | [nullable]
error | place to store errors or `NULL` |

#### Returns

a new GdaDataModel with as a result of the query.

[transfer full][nullable]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_execute_query_row ()

    GdaRow *
    gda_provider_meta_execute_query_row (GdaProviderMeta *prov,
                                         const gchar *sql,
                                         GdaSet *params,
                                         GError **error);

SQL is specific for current provider.

#### Parameters

prov | a GdaProviderMeta |
sql | a string with the SQL to execute on provider |
error | place to store errors or `NULL` |

#### Returns

a new GdaDataModel with as a result of the query.

[transfer full][nullable]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_get_connection ()

    GdaConnection *
    gda_provider_meta_get_connection (GdaProviderMeta *prov);

#### Returns

a GdaConnection used by this object.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_index_col ()

    GdaRow *
    gda_provider_meta_index_col (GdaProviderMeta *prov,
                                 const gchar *table_catalog,
                                 const gchar *table_schema,
                                 const gchar *table_name,
                                 const gchar *index_name,
                                 GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_index_cols ()

    GdaDataModel *
    gda_provider_meta_index_cols (GdaProviderMeta *prov,
                                  GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_index_table ()

    GdaRow *
    gda_provider_meta_index_table (GdaProviderMeta *prov,
                                   const gchar *table_catalog,
                                   const gchar *table_schema,
                                   const gchar *table_name,
                                   const gchar *index_name_n,
                                   GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_indexes_table ()

    GdaDataModel *
    gda_provider_meta_indexes_table (GdaProviderMeta *prov,
                                     const gchar *table_catalog,
                                     const gchar *table_schema,
                                     const gchar *table_name,
                                     GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_indexes_tables ()

    GdaDataModel *
    gda_provider_meta_indexes_tables (GdaProviderMeta *prov,
                                      GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_key_column ()

    GdaRow *
    gda_provider_meta_key_column (GdaProviderMeta *prov,
                                  const gchar *table_catalog,
                                  const gchar *table_schema,
                                  const gchar *table_name,
                                  const gchar *constraint_name,
                                  GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_key_columns ()

    GdaDataModel *
    gda_provider_meta_key_columns (GdaProviderMeta *prov,
                                   GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_routine ()

    GdaRow *
    gda_provider_meta_routine (GdaProviderMeta *prov,
                               const gchar *routine_catalog,
                               const gchar *routine_schema,
                               const gchar *routine_name_n,
                               GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_routine_col ()

    GdaRow *
    gda_provider_meta_routine_col (GdaProviderMeta *prov,
                                   const gchar *rout_catalog,
                                   const gchar *rout_schema,
                                   const gchar *rout_name,
                                   GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_routine_pars ()

    GdaRow *
    gda_provider_meta_routine_pars (GdaProviderMeta *prov,
                                    const gchar *rout_catalog,
                                    const gchar *rout_schema,
                                    const gchar *rout_name,
                                    GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_routines ()

    GdaDataModel *
    gda_provider_meta_routines (GdaProviderMeta *prov,
                                GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_routines_col ()

    GdaDataModel *
    gda_provider_meta_routines_col (GdaProviderMeta *prov,
                                    GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_routines_pars ()

    GdaDataModel *
    gda_provider_meta_routines_pars (GdaProviderMeta *prov,
                                     GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_schemata ()

    GdaRow *
    gda_provider_meta_schemata (GdaProviderMeta *prov,
                                const gchar *catalog_name,
                                const gchar *schema_name_n,
                                GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_schematas ()

    GdaDataModel *
    gda_provider_meta_schematas (GdaProviderMeta *prov,
                                 GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_table_column ()

    GdaRow *
    gda_provider_meta_table_column (GdaProviderMeta *prov,
                                    const gchar *table_catalog,
                                    const gchar *table_schema,
                                    const gchar *table_name,
                                    const gchar *column_name,
                                    GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_table_columns ()

    GdaDataModel *
    gda_provider_meta_table_columns (GdaProviderMeta *prov,
                                     const gchar *table_catalog,
                                     const gchar *table_schema,
                                     const gchar *table_name,
                                     GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_trigger ()

    GdaRow *
    gda_provider_meta_trigger (GdaProviderMeta *prov,
                               const gchar *table_catalog,
                               const gchar *table_schema,
                               const gchar *table_name,
                               GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_triggers ()

    GdaDataModel *
    gda_provider_meta_triggers (GdaProviderMeta *prov,
                                GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_udt ()

    GdaRow *
    gda_provider_meta_udt (GdaProviderMeta *prov,
                           const gchar *udt_catalog,
                           const gchar *udt_schema,
                           GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_udt_col ()

    GdaRow *
    gda_provider_meta_udt_col (GdaProviderMeta *prov,
                               const gchar *udt_catalog,
                               const gchar *udt_schema,
                               const gchar *udt_name,
                               GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_udt_cols ()

    GdaDataModel *
    gda_provider_meta_udt_cols (GdaProviderMeta *prov,
                                GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_meta_udts ()

    GdaDataModel *
    gda_provider_meta_udts (GdaProviderMeta *prov,
                            GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_open_connection ()

    gboolean
    gda_provider_open_connection (GdaProvider *provider,
                                  GdaConnection *cnc,
                                  GdaQuarkList *params,
                                  GdaQuarkList *auth);

Since: 6.0

Stability Level: Unstable

### gda_provider_perform_operation ()

    gboolean
    gda_provider_perform_operation (GdaProvider *provider,
                                    GdaConnection *cnc,
                                    GdaServerOperation *op,
                                    GError **error);

Since: 6.0

Stability Level: Unstable

### gda_provider_prepare_connection ()

    gboolean
    gda_provider_prepare_connection (GdaProvider *provider,
                                     GdaConnection *cnc,
                                     GdaQuarkList *params,
                                     GdaQuarkList *auth);

Since: 6.0

Stability Level: Unstable

### gda_provider_render_operation ()

    gchar *
    gda_provider_render_operation (GdaProvider *provider,
                                   GdaConnection *cnc,
                                   GdaServerOperation *op,
                                   GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_rollback_savepoint ()

    gboolean
    gda_provider_rollback_savepoint (GdaProvider *provider,
                                     GdaConnection *cnc,
                                     const gchar *name,
                                     GError **error);

Since: 6.0

Stability Level: Unstable

### gda_provider_rollback_transaction ()

    gboolean
    gda_provider_rollback_transaction (GdaProvider *provider,
                                       GdaConnection *cnc,
                                       const gchar *name,
                                       GError **error);

Since: 6.0

Stability Level: Unstable

### gda_provider_statement_execute ()

    GObject *
    gda_provider_statement_execute (GdaProvider *provider,
                                    GdaConnection *cnc,
                                    GdaStatement *stmt,
                                    GdaSet *params,
                                    GdaStatementModelUsage model_usage,
                                    GType *col_types,
                                    GdaSet **last_inserted_row,
                                    GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_statement_prepare ()

    gboolean
    gda_provider_statement_prepare (GdaProvider *provider,
                                    GdaConnection *cnc,
                                    GdaStatement *stmt,
                                    GError **error);

Since: 6.0

Stability Level: Unstable

### gda_provider_statement_rewrite ()

    GdaSqlStatement *
    gda_provider_statement_rewrite (GdaProvider *provider,
                                    GdaConnection *cnc,
                                    GdaStatement *stmt,
                                    GdaSet *params,
                                    GError **error);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_statement_to_sql ()

    gchar *
    gda_provider_statement_to_sql (GdaProvider *provider,
                                   GdaConnection *cnc,
                                   GdaStatement *stmt,
                                   GdaSet *params,
                                   GdaStatementSqlFlag flags,
                                   GSList **params_used,
                                   GError **error);

#### Parameters

params | . | [nullable]
params_used | . | [nullable][element-type Gda.Holder][out][transfer container]

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable

### gda_provider_supports_feature ()

    gboolean
    gda_provider_supports_feature (GdaProvider *provider,
                                   GdaConnection *cnc,
                                   GdaConnectionFeature feature);

Since: 6.0

Stability Level: Unstable

### gda_provider_supports_operation ()

    gboolean
    gda_provider_supports_operation (GdaProvider *provider,
                                     GdaConnection *cnc,
                                     GdaServerOperationType type,
                                     GdaSet *options);

Since: 6.0

Stability Level: Unstable

### gda_provider_unescape_string ()

    gchar *
    gda_provider_unescape_string (GdaProvider *provider,
                                  GdaConnection *cnc,
                                  const gchar *str);

#### Returns

.

[transfer full]

Since: 6.0

Stability Level: Unstable